%define pre %nil
Summary: Firefox extension that protects against XSS and Clickjacking attacks
Name: firefox-ext-noscript
Version: 2.3.4
Release: %mkrel 1
License: MPL
Group:	Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/722/
#AltURL: http://noscript.net/
Source: https://secure.informaction.com/download/releases/noscript-%{version}.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
Buildarch: noarch

%description
The best security you can get in a web browser!
Allow active content to run only from sites you trust, and protect yourself
against XSS and Clickjacking attacks.

This tool provides extra protection to your Firefox. 
It allows JavaScript, Java and other executable content to run only from
trusted domains of your choice, e.g. your home-banking web site, guarding your
"trust boundaries" against cross-site scripting attacks (XSS), cross-zone DNS
rebinding / CSRF attacks (router hacking), and Clickjacking attempts, thanks to
its unique ClearClick technology.

Such a preemptive approach prevents exploitation of security vulnerabilities
(known and even unknown!) with no loss of functionality... 
Experts do agree: Firefox is really safer with NoScript ;-)

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}


%changelog

* Fri Mar 09 2012 tv <tv> 2.3.4-1.mga2
+ Revision: 221961
- new release

* Fri Mar 09 2012 tv <tv> 2.3.3-1.mga2
+ Revision: 221939
- new release

* Mon Feb 27 2012 tv <tv> 2.3.2-1.mga2
+ Revision: 215444
- new release

* Mon Feb 20 2012 tv <tv> 2.3.1-1.mga2
+ Revision: 211230
- new release

* Sat Feb 11 2012 tv <tv> 2.3-1.mga2
+ Revision: 207307
- new release

* Tue Feb 07 2012 tv <tv> 2.2.9-1.mga2
+ Revision: 205857
- new release

* Wed Jan 25 2012 tv <tv> 2.2.8-1.mga2
+ Revision: 201495
- new release

* Thu Jan 19 2012 tv <tv> 2.2.7-1.mga2
+ Revision: 198070
- new release

* Wed Jan 18 2012 tv <tv> 2.2.6-1.mga2
+ Revision: 197901
- new release

* Tue Jan 03 2012 tv <tv> 2.2.5-1.mga2
+ Revision: 190065
- new release

* Wed Dec 21 2011 tv <tv> 2.2.4-1.mga2
+ Revision: 185505
- new release

* Tue Dec 06 2011 tv <tv> 2.2.3-1.mga2
+ Revision: 177404
- new release

* Mon Nov 28 2011 tv <tv> 2.2.1-1.mga2
+ Revision: 173735
- new release

* Wed Nov 23 2011 tv <tv> 2.2-1.mga2
+ Revision: 171241
- new release

* Sun Nov 13 2011 tv <tv> 2.1.9-1.mga2
+ Revision: 167341
- new release

* Fri Nov 04 2011 tv <tv> 2.1.8-1.mga2
+ Revision: 162720
- new release

* Wed Oct 26 2011 tv <tv> 2.1.7-1.mga2
+ Revision: 158181
- new release

* Mon Oct 17 2011 tv <tv> 2.1.5-1.mga2
+ Revision: 155897
- new release

* Mon Oct 03 2011 tv <tv> 2.1.4-1.mga2
+ Revision: 151388
- new release

* Tue Sep 27 2011 fwang <fwang> 2.1.3-1.mga2
+ Revision: 149237
- new version 2.1.3

* Thu Sep 01 2011 tv <tv> 2.1.2.7-1.mga2
+ Revision: 137396
- new release
- new prerelease (compatible fith firefox-nightly-9a01)
- new release
- new release

* Thu Jul 21 2011 tv <tv> 2.1.2.3-1.mga2
+ Revision: 127581
- new release

* Mon Jun 20 2011 tv <tv> 2.1.1.1-1.mga2
+ Revision: 110182
- new release
- new release
- new release

* Thu Jun 09 2011 tv <tv> 2.1.1-1.mga2
+ Revision: 102407
- new release

* Sat Apr 30 2011 tv <tv> 2.1.0.3-1.mga1
+ Revision: 93723
- new release

* Wed Apr 13 2011 tv <tv> 2.1.0.2-1.mga1
+ Revision: 84082
- use alternate URL
- new release

* Thu Mar 10 2011 tv <tv> 2.0.9.9-1.mga1
+ Revision: 67783
- fix tarball name
- new release

* Tue Mar 01 2011 tv <tv> 2.0.9.8-1.mga1
+ Revision: 62102
- fix releasing stable versions
- new release

* Fri Feb 18 2011 tv <tv> 2.0.9.8-0.1rc3.mga1
+ Revision: 53866
- new prerelease

* Tue Feb 01 2011 tv <tv> 2.0.9.6-2.mga1
+ Revision: 45603
- imported package firefox-ext-noscript

